//!!!!!!!!!              !!!!!!!!!//
//!! EKKO GLASS TIP LOOKUP TOOL !!//
//!!!!!!!!!              !!!!!!!!!//
//@COPY2014 INTRANSIT SOFTWARE

//use the last known latitude and longitude
//to work out the closest tip
function runLookup(ilat, ilon) {
    try
    {

        var ajax = $.ajax({
            type: "POST",
            contentType: "application/json; charset=utf-8",
            url: "http://westconirm.midynamics.com/WestconService.asmx/GetTipList",
            data: '{ lat: "' + ilat + '", lon: "' + ilon + '", customer: "EKKO GLASS" }',
            dataType: "json",
            success: function(e) {
                $("#ula").html("");
                var obj = $.parseJSON(e.d);
                $.each(obj, function() {

                    var TipName = this.TipName;
                    var Lat = this.Lat;
                    var Lon = this.Lon;
                    var Address = this.Address;
                    var City = this.City;
                    var Postcode = this.Postcode;
                    var Distance = this.Distance;

                    $("#ula").html($("#ula").html() + "<li><a onclick=\"showDetails('" + TipName + "', '" + Address + "', '" + City + "', '" + Postcode + "', '" + Distance + "', '" + Lat + "', '" + Lon + "');\" href=''>" + TipName + ", " + City + "<span class='ui-li-count'>" + Distance + "</span></a></li>");
                });
                if (readCookie("depotLat") == "55.8374382") {
                      $("#glasgow").attr('checked', true).checkboxradio("refresh");
                }
                else {
                        $("#edinburgh").attr('checked', true).checkboxradio("refresh");
                }
            
                $("#ula").listview("refresh");
                $("#tittleula").css("display", "block");
                $(".ui-listview-filter.ui-bar-c").css("display", "none");
                $("#BackJobID").css("display", "block");
                $("#locateJobs").css("display", "block");
                $("#locateTip").css("display", "none");
                $("#BackID").css("display", "none");
                $("#RefreshID").css("display", "none");
             
            }
        });
    } 
    catch (e) 
    {
        alert("Sorry, we cannot find your current location. Please turn on your GPS location tracking to use this feature.");
    }
}

var showDetailTimeout;

function showDetails(TipName, Address, City, Postcode, Distance, Lat, Lon) {
    clearTimeout(showDetailTimeout);
    $.mobile.loading('show', {
        text: '',
        textVisible: true,
        theme: 'a',
        html: "<div><strong>" + TipName + "</strong><br/>" + Address + "<br/>" + City + "<br/>" + Postcode + "<br/><br/><small>You are currently " + Distance + " miles away from this tip.</small><div data-role='button' class='roleButton' onclick=\"routeFromLocation('"+ Lat +"', '"+ Lon +"');\">Select This Tip</div><div data-role='button' class='roleButton' onclick='hideDetails();'>Close</div>"
    });
    $(".roleButton").button();
    showDetailTimeout = setTimeout(function() {
        $.mobile.loading('hide');
    }, 20000);
}

function hideDetails() {
    $.mobile.loading('hide');
    clearTimeout(showDetailTimeout);
}

function routeFromLocation(lat, lon) {
    //WITH THE LATITUDE AND LONGITUDE SELECTED, WE ARE GOING TO 
    //WORK OUT THE BEST ROUTE FROM THE TIP TO THE REMAINING JOB
    //LOCATIONS.
    
    if(lat == "" || lat == undefined || lat == null){
        try{
            lat = readCookie("LatLonLookup").toString().split(',')[0];
            lon = readCookie("LatLonLookup").toString().split(',')[1];
        } catch (e)
        {}
    }
    
    createCookie("readTotalWeight", "", 7);
    
    $.mobile.loading('show', {
        text: 'Working out route from selected tip. This may take a few seconds.',
        textVisible: true,
        theme: 'b',
        html: ""
    });
    
    setTimeout(function() {
        try {
            var userCode = readCookie("license");
            var ajax = $.ajax({
                type: "POST",
                contentType: "application/json; charset=utf-8",
                url: "http://webservices.intransitsoftware.co.uk/Routing/Service1.asmx/NewJobOrderingMethod_EkkoGlass",
                data: '{ Lat: "' + lat + '", Lon: "' + lon + '", User: "' + userCode + '", depotLat: "' + readCookie("depotLat") + '", depotlon: "' + readCookie("depotLon") + '" }',
                dataType: "json",
                success: function(e) {
                    $("#tittleula").css("display", "none");
                    $("#BackJobID").css("display", "none");
                    $("#locateJobs").css("display", "none");
                    $("#locateTip").css("display", "block");
                    $("#BackID").css("display", "block");
                    $("#RefreshID").css("display", "block");
                    $(".ui-listview-filter.ui-bar-c").css("display", "block");  
                    showWait();
                  
                },
                error: function(msg, ex) {
                    // alert("Server error.");
                    // console.log(msg);
                    $.mobile.loading('hide');
                    $.mobile.loading('show', {
                        text: 'Internet connection lost',
                        textVisible: true,
                        theme: 'b',
                        html: ""
                    });
                   
                setTimeout(function() {
                    $("#tittleula").css("display", "none");
                    $("#BackJobID").css("display", "none");
                    $("#locateJobs").css("display", "none");
                    $("#locateTip").css("display", "block");
                    $("#BackID").css("display", "block");
                    $("#RefreshID").css("display", "block");
                    $(".ui-listview-filter.ui-bar-c").css("display", "block"); 
                    $.mobile.loading('hide');
                    showWait();
                 }, 2000); 
                    
                }
            });
        }
        catch (e) {
            alert("Sorry, we cannot find your current location. Please turn on your GPS location tracking to use this feature.");
        }
    }, 2000);
}